Bug 21705 - [PATCH] New testcases for Contrib code, plus some new code
Summary: [PATCH] New testcases for Contrib code, plus some new code
Status: RESOLVED WONTFIX
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.0-dev
Hardware: Other other
: P3 normal with 3 votes (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-18 09:58 UTC by Eric Pugh
Modified: 2008-05-10 21:40 UTC (History)
0 users



Attachments
Patch file for contrib code (32.73 KB, patch)
2003-07-18 09:59 UTC, Eric Pugh
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Pugh 2003-07-18 09:58:29 UTC
Now that the build has been revamped, I dug up an old testcase I had for the
HSSFCellUtil and am submitting it.  Also some more changes to HSSFCellUtil for
escaping characters.
Comment 1 Eric Pugh 2003-07-18 09:59:04 UTC
Created attachment 7368 [details]
Patch file for contrib code
Comment 2 Eric Pugh 2003-07-23 09:36:14 UTC
Not to be a pain, but I really need the code in this patch..  Did I forget to 
do something to get this patch accepted?
Comment 3 Andy Oliver 2003-07-24 17:20:18 UTC
my main concern is whether this code was "lifted" from an LGPL library.  Please
send this in: http://jakarta.apache.org/site/agreement.html that will make my
concern go away.  When you said that it scared me..   I read it as "I could just
violate the copyright of the library and jeoporidize the POI project entirely".
Though I'm sure thats not what you meant...  It is just a big hashtable but I'm
not a lawyer so when legal notices are put in code, etc...I start wanting to
delegate things up. 
Comment 4 Eric Pugh 2003-07-25 09:07:02 UTC
I have faxed in my Contributor License Agreement, so that should ameliorate any
concerns you have.  I think this code should pass licensing "muster".

Thanks for the prod to get that CLA in...

Eric Pugh
Comment 5 Avik Sengupta 2003-07-31 18:01:05 UTC
Andy, if you are happy with the documentation, i'll apply this? Pls confirm!
Comment 6 Andy Oliver 2003-07-31 19:00:45 UTC
I asked the jakarta PMC for guidence...  No reply.  I'm on the fence.. . If he lifted the code, the ASF 
could be sued.  The ASF could sue him but I really don't want it to come to that.  Lets vote on this.  
I don't want to make the decision alone.  It may be my responsibility but I'm on the fence and its 
our project. Call a vote.  Maybe we can vote on something important to distract us from the 
unimportant.
Comment 7 Avik Sengupta 2003-07-31 19:16:56 UTC
Yeah, could do, but am not sure any of us are equiped to make an informed
decision  on this.... so i am on the fence too...
Comment 8 Andy Oliver 2003-07-31 19:32:54 UTC
So its kind of falling back into Eric's court...  Make us feel real comfortable that there are no legal 
issues with this code or petition pmc@jakarta.apache.org or board@apache.org to take action.  Or 
propose a vote on the poi-dev list.  Otherwise I guess avik and I are inadvertantly pocket vetoing 
this patch.   (not by intent but by uncertainty) 
Comment 9 Eric Pugh 2003-08-08 10:26:47 UTC
I am thinking about breaking this patch up into two pieces.  One would be the 
non controversial code, basically testcases for existing code.

To be honest, I may just ditch the whole code bit for converting html to 
unicode.  In retrospect, A) it may not really belong in POI.  B) the licensing 
issues/FUD are too much of a pain.

If you all agree that it really insn't very POI specific code, but a helper 
that could belong elsewhere, then is the right thing to deprecate the method, 
and maybe put a note about contacting me for the code if you need some?

If you agree with this approach of breaking up the code, should I submit a 
fresh patch?  Or just add another patch file to this one?  I do want to get it 
off the list of bugs for POI!

Eric
Comment 10 Avik Sengupta 2003-08-23 18:07:00 UTC
Yeah, i think splitting this up is a good idea. Would you please add another
patch to this bug.. i'll add it in asap. 
Comment 11 Josh Micich 2008-05-10 21:40:52 UTC
Looks like HSSFCellUtil has survived a long time without these HTLM entity translations.  Or maybe the FUD won out.